summaryrefslogtreecommitdiff
path: root/plugins
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2009-08-30 19:46:00 -0400
committerLuke Shumaker <lukeshu@sbcglobal.net>2015-06-26 00:30:14 -0600
commit57ac88ce32736ae933c33b742392b4b4c2fba0cd (patch)
tree96f77390fbcb132800b3f65a62e01dd6f65426c8 /plugins
parent24e77f63ae243c33e1d38792080eaec1db43f8f7 (diff)
begin reimplementing the wrapper in C
Diffstat (limited to 'plugins')
-rw-r--r--plugins/file0
-rw-r--r--plugins/repo/plugin.conf6
-rw-r--r--plugins/repo/stdio.sh68
-rw-r--r--plugins/users/plugin.conf6
-rw-r--r--plugins/users/stdio.sh68
5 files changed, 148 insertions, 0 deletions
diff --git a/plugins/file b/plugins/file
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/plugins/file
diff --git a/plugins/repo/plugin.conf b/plugins/repo/plugin.conf
new file mode 100644
index 0000000..61cebc7
--- /dev/null
+++ b/plugins/repo/plugin.conf
@@ -0,0 +1,6 @@
+commit
+commit.d
+commit.f
+get
+get.d
+get.f
diff --git a/plugins/repo/stdio.sh b/plugins/repo/stdio.sh
new file mode 100644
index 0000000..c1a1b6b
--- /dev/null
+++ b/plugins/repo/stdio.sh
@@ -0,0 +1,68 @@
+#!@SHELL@
+#name='rvs repo stdio'
+#ver='0.7.3'
+# Copyright (C) 2009 Luke Shumaker
+#
+# This file is part of rvs.
+#
+# rvs is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2, or (at your option) any later version.
+#
+# rvs is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with rvs; see the file COPYING.
+# If not, write to the Free Software Foundation,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+verbose() {
+ if [ "$volume" == '-v' ]; then
+ echo $@ >> /dev/stderr
+ fi
+}
+
+out() {
+ if [ "$volume" != '-q' ]; then
+ echo $@ >> /dev/stderr
+ fi
+}
+
+warn () {
+ echo "$name: $1" >> /dev/stderr
+}
+
+fatal () {
+ warn "$1"
+ exit 1
+}
+
+error() {
+ warn "$1"
+ cat << __error__ >> /dev/stderr
+Usage: $name $usage
+
+Try \`$name --help\' for more options.
+__error__
+ exit 1
+}
+
+version() {
+ echo "$name $ver"
+ if [ "$volume" != '-q' ]; then
+ cat << __disclaimer__
+$name is copyright (C) 2009 Luke Shumaker
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+GNU General Public License for more details.
+
+Originally written by Luke Shumaker <lukeshu@sbcglobal.net>.
+__disclaimer__
+ fi
+ exit 0
+}
+
diff --git a/plugins/users/plugin.conf b/plugins/users/plugin.conf
new file mode 100644
index 0000000..b0e70b2
--- /dev/null
+++ b/plugins/users/plugin.conf
@@ -0,0 +1,6 @@
+# users-0.7beta plugins.conf
+commit:repo-0.7beta/commit
+login
+logout
+mkuser
+rmuser
diff --git a/plugins/users/stdio.sh b/plugins/users/stdio.sh
new file mode 100644
index 0000000..1149284
--- /dev/null
+++ b/plugins/users/stdio.sh
@@ -0,0 +1,68 @@
+#!@SHELL@
+#name='rvs users stdio'
+#ver='0.7.3'
+# Copyright (C) 2009 Luke Shumaker
+#
+# This file is part of rvs.
+#
+# rvs is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2, or (at your option) any later version.
+#
+# rvs is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with rvs; see the file COPYING.
+# If not, write to the Free Software Foundation,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+verbose() {
+ if [ "$volume" == '-v' ]; then
+ echo $@ >> /dev/stderr
+ fi
+}
+
+out() {
+ if [ "$volume" != '-q' ]; then
+ echo $@ >> /dev/stderr
+ fi
+}
+
+warn () {
+ echo "$name: $1" >> /dev/stderr
+}
+
+fatal () {
+ warn "$1"
+ exit 1
+}
+
+error() {
+ warn "$1"
+ cat << __error__ >> /dev/stderr
+Usage: $name $usage
+
+Try \`$name --help\' for more options.
+__error__
+ exit 1
+}
+
+version() {
+ echo "$name $ver"
+ if [ "$volume" != '-q' ]; then
+ cat << __disclaimer__
+$name is copyright (C) 2009 Luke Shumaker
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+GNU General Public License for more details.
+
+Originally written by Luke Shumaker <lukeshu@sbcglobal.net>.
+__disclaimer__
+ fi
+ exit 0
+}
+